Bug 50389 - es1371 does not compile with sounddriver
Summary: es1371 does not compile with sounddriver
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-30 21:04 UTC by Tom Reddington
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 16:17:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Reddington 2001-07-30 21:04:01 UTC
Description of Problem:
Driver for es1371 does not compile.  This has been a previously reported
problem in earlier versions of liunx.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
drivers/sound/sounddrivers.o: In function `es1371_probe':
drivers/sound/sounddrivers.o(.text+0x67bd): undefined reference to
`gameport_register_port'
drivers/sound/sounddrivers.o: In function `es1371_remove':
drivers/sound/sounddrivers.o(.text+0x68d6): undefined reference to
`gameport_unregister_port'
make: *** [vmlinux] Error 1


Expected Results:


Additional Information:

Comment 1 Arjan van de Ven 2001-07-31 09:56:26 UTC
Are you using insmod or modprobe ?

Comment 2 Tom Reddington 2001-07-31 13:30:53 UTC
Are you using insmod or modprobe? Neither. I am trying to compile the kernel from source to support IP multicast and other features. I ran into this when trying to 
compile -- not load.

Comment 3 Arjan van de Ven 2001-07-31 13:33:10 UTC
Our kernel supports multicast by default btw;

re your problem, you most likely need to compile the gameport code into the
kernel as well...


Note You need to log in before you can comment on or make changes to this bug.